Skip to main content
`Ctrl`+`K`

# PEPSetDS

Associates a direct solver object to the polynomial eigensolver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetDS(PEP pep,DS ds)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- ds - the direct solver object

## Note

Use `PEPGetDS()` to retrieve the direct solver context (for example, to free it at the end of the computations).

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetDS()`

## Level

advanced

## Location

src/pep/interface/pepbasic.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages